%define major 0
%define api 1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		geocode-glib
Version:	3.14.0
Release:	%mkrel 1
Summary:	A convenience library for the Yahoo! Place Finder APIs
Group:		Networking/Other
License:	LGPLv2
URL:		http://geoclue.freedesktop.org/
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		geocode-glib-0.99.2-linkage.patch
BuildRequires:	pkgconfig(gio-2.0) >= 2.34
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.99.2
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool

%description
geocode-glib is a convenience library for the Yahoo! Place Finder
APIs, as described at:
http://developer.yahoo.com/geo/placefinder/

The Place Finder web service allows to do geocoding (finding longitude
and latitude from an address), and reverse geocoding (finding an address
from coordinates).

%package -n %libname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs

%description -n %libname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

%package -n %girname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}

%description -n %girname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains GObjectIntrospection data for geocode-glib.

%package -n %develname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains the development files for geocode-glib.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

# Put icons in the right directory.
mv %{buildroot}/%{_iconsdir}/gnome %{buildroot}/%{_iconsdir}/Adwaita

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_iconsdir}/Adwaita/*/*/*

%files -n %girname
%{_libdir}/girepository-1.0/GeocodeGlib-%{api}.typelib

%files -n %develname
%{_includedir}/%{name}-%{api}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/GeocodeGlib-%{api}.gir
%{_datadir}/gtk-doc/html/%{name}-%{api}


%changelog
* Fri Feb 09 2018 adrianomorselli <adrianomoprselli> 3.14.0-1uplos2018
- imported for uplos manokwari
